using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class HiddenWall : MonoBehaviour
{
    public PlayerEnum IgnoreCollisionWith;

    private void Start()
    {
        switch (IgnoreCollisionWith)
        {
            case PlayerEnum.Human:
                Physics2D.IgnoreCollision(LevelController.Instance.PlayerHuman.GetComponent<Collider2D>(), GetComponent<Collider2D>());
                break;
            case PlayerEnum.Ghost:
                Physics2D.IgnoreCollision(LevelController.Instance.PlayerGhost.GetComponent<Collider2D>(), GetComponent<Collider2D>());
                break;
            case PlayerEnum.Both:
                Physics2D.IgnoreCollision(LevelController.Instance.PlayerHuman.GetComponent<Collider2D>(), GetComponent<Collider2D>());
                Physics2D.IgnoreCollision(LevelController.Instance.PlayerGhost.GetComponent<Collider2D>(), GetComponent<Collider2D>());
                break;
        }
    }
}
